# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_177696009044903/zstandard-feedstock/recipe, last modified Thu Apr 23 16:08:37 2026
# ------------------------------------------------

package:
  name: zstandard
  version: 0.25.0
source:
  url: https://pypi.org/packages/source/z/zstandard/zstandard-0.25.0.tar.gz
  sha256: 7713e1179d162cf5c7906da876ec2ccb9c3a9dcbdffef0cc7f70c3667a205f0b
  patches:
    - use_system_zstd.patch
build:
  script: /home/task_177696009044903/croot/zstandard_1776960546951/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_p/bin/python
    -m pip install . -vv --no-deps --no-build-isolation
  number: '0'
  string: py314h89db63a_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - binutils_impl_linux-64 2.44 h78f17ca_3
    - binutils_linux-64 2.44 hc03a8fd_3
    - gcc_impl_linux-64 14.3.0 h4943218_4
    - gcc_linux-64 14.3.0 hda73cce_13
    - kernel-headers_linux-64 4.18.0 h3108a97_1
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libgcc 15.2.0 h69a1729_7
    - libgcc-devel_linux-64 14.3.0 he7458c1_104
    - libgomp 15.2.0 h4751f2c_7
    - libsanitizer 14.3.0 hd4faa28_4
    - libstdcxx 15.2.0 h39759b7_7
    - sysroot_linux-64 2.28 h3108a97_1
    - tzdata 2026a he532380_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2026.3.19 h06a4308_0
    - cffi 2.0.0 py314h4eded50_1
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libexpat 2.7.5 h7354ed3_0
    - libffi 3.4.4 h6a678d5_1
    - libgcc 15.2.0 h69a1729_7
    - libgcc-ng 15.2.0 h166f726_7
    - libgomp 15.2.0 h4751f2c_7
    - libmpdec 4.0.0 h5eee18b_0
    - libstdcxx 15.2.0 h39759b7_7
    - libstdcxx-ng 15.2.0 hc03a8fd_7
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.1 hb25bd0a_0
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.6 h1b28b03_0
    - packaging 26.0 py314h06a4308_0
    - pip 26.0.1 pyh0d26453_1
    - pthread-stubs 0.3 h0ce48e5_1
    - pycparser 3.0 py314h06a4308_0
    - python 3.14.4 h490e9c7_100_cp314
    - python_abi 3.14 2_cp314
    - readline 8.3 hc2a1206_0
    - setuptools 82.0.1 py314h06a4308_0
    - sqlite 3.51.2 h3e8d24a_0
    - tk 8.6.15 h54e0aa7_0
    - tzdata 2026a he532380_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.1 hb25bd0a_0
    - zstd 1.5.7 h11fc155_0
  run:
    - __glibc >=2.28,<3.0.a0
    - cffi >=2.0.0b
    - libgcc >=14
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
    - zstd >=1.5.7,<1.5.8.0a0
    - zstd >=1.5.7,<1.6.0a0
test:
  source_files:
    - tests
  requires:
    - pip
    - pytest
  commands:
    - pip check
    - python -c "from importlib.metadata import version; assert(version('zstandard')=='0.25.0')"
    - pytest -vv --deselect=tests/test_module_attributes.py::TestModuleAttributes::test_features
      tests
  imports:
    - zstandard
about:
  home: https://github.com/indygreg/python-zstandard
  license: BSD-3-Clause
  license_family: BSD
  license_file:
    - LICENSE
    - zstd/LICENSE
  summary: Zstandard bindings for Python
  description: 'This project provides Python bindings for interfacing with the Zstandard
    compression library.

    A C extension and CFFI interface are provided.

    '
  doc_url: https://python-zstandard.readthedocs.io
  dev_url: https://github.com/indygreg/python-zstandard
extra:
  recipe-maintainers:
    - rmax
    - xhochy
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/zstandard-feedstock
  sha: 74371404cd228e041c071365b578bdba1a83790b
  task_id: BpouBUZSRNyBl62KTCdDwg
  task_run_id: '0'
  pbp_graph_uuid: bea621c1-598b-4529-90ac-04c6790798f1
